Update a campaign

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request URI for Sub Account

PATCH /accounts/40505/campaigns/15

Request Format

{
  "campaigns" : {
     "name" : "New name"
  }
}

Update a campaign

🚧

Warning

Note:

The "globalCode" section allows you to add Pre/Post-Campaign JS/CSS snippets within the editor. This globalCode block is optional and can be omitted if not needed.

For FullStack campaigns

You can update the projects as follows:

{
     "campaigns": {
          "projects": [{
               "id": 66,
               "environments": [{
                         "id": 1
                    },
                    {
                         "id": 2
                    }
               ]
          }]
     }
}
Path Params
string
required
Defaults to current

Use 'current' keyword to refer to the Main Workspace or the Integer Workspace Id

int32
required

Campaign Id

Body Params
campaigns
object
required
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json